serd-devel-0.28.0-lp150.2.4.x86_64.rpm


Advertisement

Description

serd-devel - Development files for libserd

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename serd-devel-0.28.0-lp150.2.4.x86_64.rpm
Package name serd-devel
Package version 0.28.0
Package release lp150.2.4
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://drobilla.net/software/serd/
License ISC
Maintainer -
Download size 28.47 KB
Installed size 37.22 KB
Development files for libserd.

Alternatives

Package Version Architecture Repository
serd-devel-0.30.0-lp150.24.7.x86_64.rpm 0.30.0 x86_64 Multimedia Libs
serd-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libserd-0-0 = 0.28.0

Provides

Name Value
libserd-0-devel = 0.28.0
pkgconfig(serd-0) = 0.28.0
serd-devel = 0.28.0-lp150.2.4
serd-devel(x86-64) = 0.28.0-lp150.2.4

Obsoletes

Name Value
libserd-0-devel < 0.28.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package serd-devel-0.28.0-lp150.2.4.x86_64.rpm
Source Package serd-0.28.0-lp150.2.4.src.rpm

Install Howto

Install serd-devel rpm package:

# zypper install serd-devel

Files

Path
/usr/include/serd-0/
/usr/include/serd-0/serd/serd.h
/usr/lib64/libserd-0.so
/usr/lib64/pkgconfig/serd-0.pc
/usr/share/man/man3/serd.3.gz

Changelog

2018-01-08 - tchvatal@suse.com
- Tweak a bit more py3 dep to not pull whole python but just base
- Fix group on one of the subpkgs
2018-01-05 - davejplater@gmail.com
- Remove python-base dependency and change headers in python scripts
to python3
2017-11-02 - mpluskal@suse.com
- Update to version 0.28.0:
* Add support for reading from a user provided callback
* Add serd_node_from_substring()
* Fix strict parsing of abolute URI schemes
* Fix parsing of hex escapes in file URIs (thanks Johannes Mueller)
* Gracefully handle applications that write corrupt UTF-8
* Fix hangs when reading corrupt UTF-8
* Add support for TriG and NQuads
* Add support for braindead SPARQL PREFIX and BASE directives
* Add serd_node_new_relative_uri()
* Fix construction and comparison of URIs with UTF-8 characters
* Report I/O errors with message and return appropriate status code
* Report missing statement separator errors
* Fix potential out of bounds read
* Fix unaligned memory access, undefined behaviour which breaks on ARM
* Fix documentation generation
* Update serdi man page
- Use python3
- Run spec-cleaner
- Rename devel subpackage
- Run tests during build
2017-01-30 - jengelh@inai.de
- Fix mismatching RPM group
- Rename soname macro to sover as it does not contain a name
2017-01-12 - olaf@aepfle.de
- Add baselibs.conf for gstreamer-plugins-bad-32bit
2015-12-16 - olaf@aepfle.de
- Add BuildRoot: for SLE_11
2015-11-24 - p.drouand@gmail.com
- Update to version 0.22.0
* Remove dependence on fmax() to avoid portability issues
* Fix serd_reader_read_file() for URIs with escaped characters (spaces)
* Add serd_reader_set_strict() and -l (lax) option to serdi to tolerate
parsing URIs with escaped characters
* Fix reading statements ending with a blank then dot with no space
* Fix clash resolution when a blank node ID prefix is set
* Fix serializing fractional decimals that would round up
* Add support for Turtle named inline nodes extension
* Report errors for invalid IRI characters and missing terminators
* Show serdi errors in standard format
* Fix warnings when building with ISO C++ compilers
* Upgrade to waf 1.8.14
2015-03-23 - p.drouand@gmail.com
- Update to version 0.20.0
* Support new RDF 1.1 Turtle
* Don't write xsd:decimal literals to Turtle bare if they would not be read
back with the same type
* Fix possible crash in serd_writer_end_anon() when writing invalid lists
* Generate blank names like _:b1 and _:B2 not _:genid1 _:docid2
* Correctly handle posix_memalign failure
* Fix const-correctness violation for reader input string
* Add -lm to pkg-config libs
* Update to waf 1.7.14
2013-01-08 - reddwarf@opensuse.org
- Update to 0.18.2
* Fix crash when serd_node_new_decimal is called with infinity or NaN
* Fix crash when resolving against non-standard base URIs
* Fix bug that caused "a" abbreviation in non-predicate position
* Disable timestamps in HTML documentation for reproducible build
* Fix clashing symbol "error" in amalgamation build
* Update to waf 1.7.8 and autowaf r90 (install docs to versioned directory)
- Remove serd-0.18.0-build_compare.patch. Applied upstream.
2012-08-26 - reddwarf@opensuse.org
- Update to 0.18.0
* Support digits at start of local names as per new Turtle
grammar
* Add incremental read interface suitable for reading from
infinite streams
* Add -e option to serdi to use incremental reading
* Add error callback to reader and writer for custom error
reporting
* Add -q option to serdi to suppress all non-data
output, e.g. errors
* Reset indent when finishing a write
* Report write size correctly when invalid UTF-8 is encountered
and a replacement character is written
* Strip down API documentation to a single clean page
* Fix various hyper-strict warnings
* Do not require a C++ compiler to build
* Add option to build utilities as static binaries
* Upgrade to waf 1.7.2
- Add serd-0.18.0-build_compare.patch to make build reproducible

See Also

Package Description
serdi-0.28.0-lp150.2.4.x86_64.rpm Read and write RDF syntax
servius-1.2.0.2-lp150.1.19.x86_64.rpm Warp web server with template rendering
servletapi3-3.3.1-lp150.1.11.noarch.rpm Java servlet and JSP implementation classes
servletapi3-javadoc-3.3.1-lp150.1.11.noarch.rpm Javadoc for servletapi3
servletapi4-4.0.4-lp150.2.14.noarch.rpm Java servlet and JSP implementation classes
servletapi4-javadoc-4.0.4-lp150.2.14.noarch.rpm Javadoc for servletapi4
servletapi5-5.0.18-lp150.2.3.noarch.rpm Java servlet and JSP implementation classes
sessreg-1.1.1-lp150.1.7.x86_64.rpm Utility to manage utmp/wtmp entries for X sessions
setconf-0.7.5-lp150.1.3.noarch.rpm Utility to easily change settings in configuration files
setools-console-3.3.8-lp150.1.6.x86_64.rpm Policy analysis command-line tools for SELinux
setools-devel-3.3.8-lp150.1.6.x86_64.rpm Policy analysis development files for SELinux
setools-gui-3.3.8-lp150.1.6.x86_64.rpm Policy analysis graphical tools for SELinux
setools-java-3.3.8-lp150.1.6.x86_64.rpm Java bindings for SELinux policy analysis
setools-libs-3.3.8-lp150.1.6.x86_64.rpm Policy analysis support libraries for SELinux
setools-tcl-3.3.8-lp150.1.6.x86_64.rpm Tcl bindings for SELinux policy analysis
Advertisement
Advertisement